Package org.codehaus.groovy.transform.stc

# Class StaticTypeCheckingSupport.LongArrayStaticTypesHelper

java.lang.Object
org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.LongArrayStaticTypesHelper

Enclosing class:
  StaticTypeCheckingSupport

public static class StaticTypeCheckingSupport.LongArrayStaticTypesHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongArrayStaticTypesHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `getAt(long[] array, int index)`
  `static Long`
  `getAt$$bridge(long[] array, int index)`
  Deprecated.
  `static void`
  `putAt(long[] array, int index, long value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LongArrayStaticTypesHelper

    public LongArrayStaticTypesHelper()

- ## Method Details

  - ### getAt

    public static long getAt(long[] array, int index)

  - ### getAt$$bridge

    @Deprecated(since="5.0.0") public static Long getAt$$bridge(long[] array, int index)
    Deprecated.

  - ### putAt

    public static void putAt(long[] array, int index, long value)